Postgres Clusters
Drop Database
Delete a specific database within a cluster, along with objects that depend on it.
DELETE
/
v1
/
postgres
/
{postgres_cluster_id}
/
databases
/
{database_name}
Drop Database
curl --request DELETE \
--url https://api.machines.dev/v1/postgres/{postgres_cluster_id}/databases/{database_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.machines.dev/v1/postgres/{postgres_cluster_id}/databases/{database_name}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.machines.dev/v1/postgres/{postgres_cluster_id}/databases/{database_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
A Fly API token with access to the requested organization or resource. Send it as Authorization: Bearer <Fly API token>.
Path Parameters
Managed Postgres Cluster ID
Database Name
Response
OK
Show child attributes
Show child attributes
⌘I
Drop Database
